AntiFeatures:
  NonFreeNet:
    en-US: App is tethered to the Tutanota eMail service.
Categories:
  - Internet
License: GPL-3.0-or-later
AuthorName: Tutao GmbH
AuthorEmail: hello@tutao.de
WebSite: https://tutanota.com
SourceCode: https://github.com/tutao/tutanota
IssueTracker: https://github.com/tutao/tutanota/issues
Translation: https://tutanota.com/blog/posts/tutanota-translation-project
Changelog: https://github.com/tutao/tutanota/releases
Donate: https://tutanota.com/community#donate
Bitcoin: 3MDrR5gaMvL8sphuQLX6BvPPKYNArdXsv6

AutoName: Tutanota

RepoType: git
Repo: https://github.com/tutao/tutanota.git

Builds:
  - versionName: 3.35.13
    versionCode: 335130
    commit: tutanota-android-release-3.35.13
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.1
    versionCode: 336010
    commit: tutanota-android-release-3.36.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.4
    versionCode: 336040
    commit: tutanota-android-release-3.36.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.36.9
    versionCode: 336090
    commit: tutanota-android-release-3.36.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.37.1
    versionCode: 337010
    commit: tutanota-android-release-3.37.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.11.3/node-v8.11.3-linux-x64.tar.xz
      - echo "08e2fcfea66746bd966ea3a89f26851f1238d96f86c33eaf6274f67fce58421a node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.11.3-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.37.2
    versionCode: 337020
    commit: tutanota-android-release-3.37.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.40.3
    versionCode: 340030
    commit: tutanota-android-release-3.40.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.41.1
    versionCode: 341010
    commit: tutanota-android-release-3.41.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.41.6
    versionCode: 341060
    commit: tutanota-android-release-3.41.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.42.2
    versionCode: 342020
    commit: tutanota-android-release-3.42.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.43.1
    versionCode: 343010
    commit: tutanota-android-release-3.43.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.44.2
    versionCode: 344020
    commit: tutanota-android-release-3.44.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - npm install
      - node dist prod

  - versionName: 3.46.3
    versionCode: 346030
    commit: tutanota-android-release-3.46.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v8.12.0/node-v8.12.0-linux-x64.tar.xz
      - echo "29a20479cd1e3a03396a4e74a1784ccdd1cf2f96928b56f6ffa4c8dae40c88f2 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v8.12.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - sed -i '/flow-bin/d' package.json
      - sed -i '/\"electron/d' package.json
      - sed -i '/rcedit/d' package.json
      - sed -i '/winreg/d' package.json
      - sed -i '/node-forge/d' package.json
      - sed -i '/js-yaml/d' package.json
      - sed -i '/DesktopBuilder\.js/d' dist.js
      - npm install
      - node dist prod

  - versionName: 3.47.2
    versionCode: 347020
    commit: tutanota-android-release-3.47.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.48.5
    versionCode: 348050
    commit: tutanota-android-release-3.48.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.50.11
    versionCode: 350110
    commit: tutanota-android-release-3.50.11
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.52.1
    versionCode: 352010
    commit: tutanota-android-release-3.52.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.55.2
    versionCode: 355020
    commit: tutanota-android-release-3.55.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.55.5
    versionCode: 355050
    commit: tutanota-android-release-3.55.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.56.0
    versionCode: 356000
    commit: tutanota-android-release-3.56.0
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.57.5
    versionCode: 357050
    commit: tutanota-android-release-3.57.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.57.6
    versionCode: 357060
    commit: tutanota-android-release-3.57.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.5
    versionCode: 359050
    commit: tutanota-android-release-3.59.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.10
    versionCode: 359100
    commit: tutanota-android-release-3.59.10
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.13
    versionCode: 359130
    commit: tutanota-android-release-3.59.13
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.14
    versionCode: 359140
    commit: tutanota-android-release-3.59.14
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.16
    versionCode: 359160
    commit: tutanota-android-release-3.59.16
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.59.17
    versionCode: 359170
    commit: tutanota-android-release-3.59.17
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.6
    versionCode: 360060
    commit: tutanota-android-release-3.60.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.7
    versionCode: 360070
    commit: tutanota-android-release-3.60.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.9
    versionCode: 360090
    commit: tutanota-android-release-3.60.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.60.12
    versionCode: 360120
    commit: tutanota-android-release-3.60.12
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.64.3
    versionCode: 364030
    commit: tutanota-android-release-3.64.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.66.2
    versionCode: 366020
    commit: tutanota-android-release-3.66.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.66.5
    versionCode: 366050
    commit: tutanota-android-release-3.66.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.67.3
    versionCode: 367030
    commit: tutanota-android-release-3.67.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.67.6
    versionCode: 367060
    commit: tutanota-android-release-3.67.6
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.68.1
    versionCode: 368010
    commit: tutanota-android-release-3.68.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.69.2
    versionCode: 369020
    commit: tutanota-android-release-3.69.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.69.5
    versionCode: 369050
    commit: tutanota-android-release-3.69.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.72.0
    versionCode: 372000
    commit: tutanota-android-release-3.72.0
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.73.1
    versionCode: 373010
    commit: tutanota-android-release-3.73.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    prebuild:
      - cd ../..
      - rm -rf app-ios
      - node fdroid-fix-deps
      - npm install
      - node dist prod

  - versionName: 3.75.3
    versionCode: 375030
    commit: tutanota-android-release-3.75.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.7
    versionCode: 376070
    commit: tutanota-android-release-3.76.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.9
    versionCode: 376090
    commit: tutanota-android-release-3.76.9
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.76.10
    versionCode: 376100
    commit: tutanota-android-release-3.76.10
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/semver/*.gz

  - versionName: 3.77.3
    versionCode: 377030
    commit: tutanota-android-release-3.77.3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.77.4
    versionCode: 377040
    commit: tutanota-android-release-3.77.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.78.2
    versionCode: 378020
    commit: tutanota-android-release-3.78.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.2
    versionCode: 380020
    commit: tutanota-android-release-3.80.2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.4
    versionCode: 380040
    commit: tutanota-android-release-3.80.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.80.5
    versionCode: 380050
    commit: tutanota-android-release-3.80.5
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v10.11.0/node-v10.11.0-linux-x64.tar.xz
      - echo "c2eab149e7f0712a6a3eb672a76d657b049a3b3ae0c2edc2e0571df5049fe82c node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v10.11.0-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/mithril/dist/archive/*/mithril.min.zip
      - node_modules/traceur/node_modules/semver/*.gz

  - versionName: 3.81.8
    versionCode: 381080
    commit: tutanota-android-release-3.81.8
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.82.1
    versionCode: 382010
    commit: tutanota-android-release-3.82.1
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.82.4
    versionCode: 382040
    commit: tutanota-android-release-3.82.4
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.82.7
    versionCode: 382070
    commit: tutanota-android-release-3.82.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.82.17
    versionCode: 382170
    commit: tutanota-android-release-3.82.17
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.82.18
    versionCode: 382180
    commit: tutanota-android-release-3.82.18
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/dist/v14.15.5/node-v14.15.5-linux-x64.tar.xz
      - echo "fa198afa9a2872cde991c3aa71796894bf7b5310d6eb178c3eafcf66e3ae79a7 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.15.5-linux-x64/. /usr/local/
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.85.7
    versionCode: 385070
    commit: tutanota-android-release-3.85.7
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.85.10
    versionCode: 385100
    commit: 250fd35a9c49aef47b0c8bd5374380bac73827e2
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.86.3
    versionCode: 386030
    commit: c2992a643280cd26b34d8eb601428f7833d79337
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.86.4
    versionCode: 386040
    commit: ceaa7d2eaaba2d4d73ce7bb1637c3aaf49c63a6a
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.87.1
    versionCode: 387010
    commit: 28f01b54f00ea08c3cb01d14ddc507166590d4a3
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.88.0
    versionCode: 388000
    commit: 439d605dc5b3876717374b20f8adc8d7e889ab0d
    subdir: app-android/app
    sudo:
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v14.17.2/node-v14.17.2-linux-x64.tar.xz
      - echo "6cf9db7349407c177b36205feec949729d0ee9db485e19b10b0b1ffca65a3a46 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v14.17.2-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - yes
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node fdroid-fix-deps
      - npm install
      - node dist prod
    scandelete:
      - node_modules/**

  - versionName: 3.88.3
    versionCode: 388030
    commit: 7dfcfe769455dafa59aa78031b9748a6ac7dfb17
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.89.5
    versionCode: 389050
    commit: ecfcafc3b23e7c7b6895ee94f2eea893f53fc40e
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.89.10
    versionCode: 389100
    commit: 00d37cea12dbf14fabcc48ef2cdc8345eddab3ce
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.89.14
    versionCode: 389140
    commit: 9dfee6d97a28b4beaf4e063c926b9e00920f9540
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.89.20
    versionCode: 389200
    commit: ea757332b7c076733b3338141daafe2943efd0f5
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.89.25
    versionCode: 389250
    commit: 4b4d7d24e2a05a2b6b6f6ec8315f9e06f5d8a79d
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - node dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.91.6
    versionCode: 391060
    commit: 7be2e97ac621ed12ef085eea9b42afd5166b262a
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.91.9
    versionCode: 391090
    commit: 897942d150ecb545e1044214ede9d7086e243d11
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 dist prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.93.4
    versionCode: 393040
    commit: 1cb850960b27ebcd5cdfc655232d3bceec6acc66
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.93.6
    versionCode: 393060
    commit: 77ebd27c91caedaab940507c5fd17267499520c8
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.93.7
    versionCode: 393070
    commit: bf6fbceca8b65f2d485761e3cb92bacccb639422
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.94.2
    versionCode: 394020
    commit: abe33289b6e659940362c1cf6da84e1fb806059b
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.95.4
    versionCode: 395040
    commit: c5ad9699488e889b09ecbf14934dbe9031599866
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.96.3
    versionCode: 396030
    commit: 64d3703706b9c47dbcd3eaf46a9c840bde6ef48a
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.96.11
    versionCode: 396101
    commit: 252270b3a2a29978b157d6e89f18e34a9494359b
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.3
    versionCode: 396108
    commit: bfa98a2a725f8034160e537472e84b411ac0fc0f
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.4
    versionCode: 396109
    commit: 83d7ae9f0fdad1d04ede7cff21335f7d3e39ab44
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.5
    versionCode: 396110
    commit: d92a918e8fc99cd9d64609c79ef4f5ae50cbebff
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.6
    versionCode: 396111
    commit: cbd9f268d78f17b9794756a5ca5d0ef741813ec5
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.10
    versionCode: 396115
    commit: 89bb97bcd919e63c7917590619d35ea414029608
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.12
    versionCode: 396117
    commit: 10a26bfb45a064b93f4fc044a0254925037b88f1
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.15
    versionCode: 396120
    commit: d74341813c4a6123753aaa64224779b5d1058139
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.18
    versionCode: 396123
    commit: 7ad9e2d4c00034d984e4b4d701e68b621abf98a6
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.19
    versionCode: 396124
    commit: 3efa72805441db26a31a5821db0722a34eef2439
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.20
    versionCode: 396125
    commit: 900b97e39c1158eefd2a8abeebb764c29c2a60f7
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.98.24
    versionCode: 396129
    commit: afe8d8473707d602ad3720bc9f65e17a96e53df7
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.100.2
    versionCode: 396133
    commit: 0c9270caf3b2595dff230b3b5ab5158ee0495764
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
      - apt-get install -y g++
      - curl -Lo node.tar.xz https://nodejs.org/download/release/v16.3.0/node-v16.3.0-linux-x64.tar.xz
      - echo "5347ece975747e4d9768d4ed3f8b2220c955ac01f8a695347cd7f71ff5efa318 node.tar.xz"
        | sha256sum -c -
      - tar xJf node.tar.xz
      - cp -a node-v16.3.0-linux-x64/. /usr/local/
      - npm install -g npm@latest
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.102.3
    versionCode: 396140
    commit: e1cc5b3410223db88a4941a7c1e1363ebd0db337
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.104.5
    versionCode: 396150
    commit: c72c651769b0a1ccc671a440f8ee2c26210c69c3
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.105.3
    versionCode: 396154
    commit: 6604832404a48b3c7043ea68d16291ee79d0579c
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.105.9
    versionCode: 396160
    commit: a86ea707bdca385b78443fc7f7e1c24b1d6dd22b
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.106.4
    versionCode: 396166
    commit: a7be045980be261d493083ddf39b72abf2de546f
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.108.6
    versionCode: 396178
    commit: bc0d9ba8f0071fbe982809910959a6ff8884dbbf
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.109.4
    versionCode: 396189
    commit: bec978db2381775b70776510f806a5e5584c8f95
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.109.13
    versionCode: 396198
    commit: c7a88071446f3be9d2b89f285f8ce8884d39bcee
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.110.0
    versionCode: 396200
    commit: 477e4f87fe7da2f04e8081285ae6435ce88e5daf
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.110.1
    versionCode: 396201
    commit: 0283c38e8d35f544970668aa1988523caa2e2057
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.112.6
    versionCode: 396211
    commit: 60f4e7b1f85256277b4741bc5c96543869550208
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.112.15
    versionCode: 396221
    commit: 4d2e821d4bc0d3838b7f929a41d913b1578203a6
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.114.1
    versionCode: 396227
    commit: 6b424e67a67e441435243047d9ef850b1d63d47c
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.115.2
    versionCode: 396234
    commit: c4b242c73b0432a8dc67b5d122a2a22b9c480e44
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.116.8
    versionCode: 396243
    commit: 8d1c1482498fe78ca9d95a932935c9268dd7f943
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.118.4
    versionCode: 396249
    commit: dfdc91f582fa22bc6978c7c3adc2409d7524090f
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

  - versionName: 3.118.6
    versionCode: 396251
    commit: c54f0a382c4f1e6cae20748ffb97a4ee4ad6fac9
    subdir: app-android/app
    sudo:
      - apt-get update
      - apt-get install -y g++
      - curl -Lo node.tar.gz https://nodejs.org/dist/v16.17.1/node-v16.17.1-linux-x64.tar.gz
      - echo "da5658693243b3ecf6a4cba6751a71df1eb9e9703ca93b42a9404aed85f58ad0 node.tar.gz"
        | sha256sum -c -
      - tar xzf node.tar.gz --strip-components=1 -C /usr/local/
      - sysctl fs.inotify.max_user_watches=524288 || true
    gradle:
      - fdroid
    rm:
      - app-ios
    prebuild:
      - cd ../..
      - node buildSrc/fixFdroidDeps.js
      - npm install
      - npm run build-packages
      - node --max-old-space-size=4096 webapp prod
      - node buildSrc/prepareMobileBuild.js dist
    scandelete:
      - node_modules/**

AutoUpdateMode: Version
UpdateCheckMode: Tags tutanota-fdroid-release-*
CurrentVersion: 3.118.6
CurrentVersionCode: 396251
